package net.cs76.section.android.activity;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

public class ActivitySampleActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
    public void goToNextActivity(View v) {
    	Intent intent = new Intent(this, NextActivity.class);
    	Bundle bundle = new Bundle();
    	EditText nameField = (EditText) findViewById(R.id.nameField);
    	String name = nameField.getText().toString();
    	bundle.putString("name", name);
    	intent.putExtras(bundle);
    	startActivity(intent);
    }
    
    public void callNumber(View v) {
    	Intent intent = new Intent(Intent.ACTION_DIAL);
    	intent.setData(Uri.parse("tel: 1234567890"));
    	startActivity(intent);
    }
}