package net.cs76.section.android.menu;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.widget.EditText;

public class MenuSampleActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
    @Override
	public boolean onCreateOptionsMenu(Menu menu) {
		new MenuInflater(this).inflate(R.menu.menu, menu);
		return (super.onCreateOptionsMenu(menu));
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {

		Intent intent;
		EditText title = (EditText) findViewById(R.id.titleInput);
		EditText entry = (EditText) findViewById(R.id.entryInput);
		switch (item.getItemId()) {
		case R.id.menu_share:
			intent = new Intent(Intent.ACTION_SEND);
			intent.setType("text/plain");
			intent.putExtra(Intent.EXTRA_SUBJECT, title.getText().toString());
			intent.putExtra(Intent.EXTRA_TEXT, entry.getText().toString());
			startActivity(Intent.createChooser(intent, "Share"));
			return true;
		}
		return false;
	}
}